i.aster.toar(1)

NAME
i.aster.toar - Calculates Top of Atmosphere Radiance/Reflectance/Brightness Temperature from ASTER DN.

KEYWORDS
imagery, radiometric conversion, radiance, reflectance, brightness temperature, satellite, ASTER

SYNOPSIS
i.aster.toar
i.aster.toar --help
i.aster.toar [-rabcde] input=name[,name,...] dayofyear=float sun_elevation=float output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Output is radiance (W/m2)

-a
    VNIR is High Gain

-b
    SWIR is High Gain

-c
    VNIR is Low Gain 1

-d
    SWIR is Low Gain 1

-e
    SWIR is Low Gain 2

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name[,name,...] [required]
    Names of ASTER DN layers (15 layers)

dayofyear=float [required]
    Day of Year of satellite overpass [0-366]

sun_elevation=float [required]
    Sun elevation angle (degrees, < 90.0)

output=name [required]
    Base name of the output layers (will add .x)

DESCRIPTION
i.aster.toar calculates the Top Of Atmosphere (TOA) reflectance for Terra-ASTER L1B in the visible, NIR and SWIR bands (9+1 bands) and brightness temperature for the TIR bands (5 bands), all from L1B DN values. It is useful to apply after import of original ASTER imagery that is generally in standard DN values range.

The order of input bands is

    •   VNIR: 1,2,3N,3B

    •   SWIR: 4,5,6,7,8,9

    •   TIR: 10,11,12,13,14
in one comma-separated list.

NOTES
Internally, a gain code is defined to modify gains according to spectral bands following the GeoSystems GmbH ATCOR Ver. 2.0 Calibration Files. The function is defined in gain_aster.c file.

/*Gain Code*/
    /*0 - High (Not Applicable for band 10-14: TIR)*/
    /*1 - Normal*/
    /*2 - Low 1(Not Applicable for band 10-14: TIR)*/
    /*3 - Low 2(Not Applicable for Band 1-3N/B and 10-14)*/

SEE ALSO
i.landsat.toar, r.in.aster

ASTER sensor data download: ASTER: Advanced Spaceborne Thermal Emission and Reflection Radiometer

AUTHOR
Yann Chemin, CSU, Australia

SOURCE CODE

Available at: i.aster.toar source code (history)

Accessed: Monday Apr 08 00:29:24 2024

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual